﻿
@{
    ViewBag.Title = "Test";
    Layout = null;
}
<link href="/Content/jquery-ui.css" rel="stylesheet" />
<script src="/Scripts/jquery-2.2.2.min.js"></script>
<h2>Test</h2>

<input type="text" name="name" id="n" />
<input type="text" name="PPPP" id="p" />

  
<script src="/Scripts/jquery-ui-1.8.20.min.js"></script>


<script type="text/javascript">
    $(document).ready(function () {
        alert("hello");
        $("#n").autocomplete({
            source: function (request, response) {
                $.ajax({
                    url: "/ClientTeamMembers/getpersons",
                    type: "POST",
                    dataType: "json",
                    data: { term: request.term },
                    success: function (data) {
                       
                        response($.map(data.result, function (item) {
                            return { label: item.firstName, value: item.firstName, Test: item.id };
                        }))

                    }

                })
            },
            select: function (event, ui) {
             $('#p').val(ui.item.Test);
            },
            messages: {
                noResults: "", results: ""
            }
        });
    })
</script>


  